{% extends 'basesatisfacao.html' %} {% load static %} {% block head %}
<title>Pesquisa de satisfação - Resultado - instituto plástica e pele</title>
{% endblock %} {% block content %}
<section class="container w-100">
  <div class="card bg-white p-3">
    <center>
      <h6> RESULTADO PESQUISA DE SATISFAÇÃO</h6>
    </center>
    <div>
      <table class="table">
        <thead>
          <tr>
            <th scope="col"></th>
            <th scope="col">Pergunta</th>
            <th scope="col">Média</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <th scope="col"></th>
            <th>Pesquisas enviadas:</th>
            <td>{{resultado|length}}</td>
          </tr>
          <tr>
            <th scope="col">1</th>
            <th>Como você avalia o tempo de espera para ser atendido?</th>
            <td>{{espera_atendimento|floatformat:2}}</td>
          </tr>
          <tr>
            <th scope="col">2</th>
            <th>As atendentes foram educadas e prestativas?</th>
            <td>{{atendentes_educados|floatformat:2}}</td>
          </tr>
          <tr>
            <th scope="col">3</th>
            <th>O problema foi resolvido?</th>
            <td>{{problema_resolvido|floatformat:2}}</td>
          </tr>
          <tr>
            <th scope="col">4</th>
            <th>Como você sentiu a delicadeza e cuidado no atendimento clínico (médicos e equipe de enfermagem)?</th>
            <td>{{delicadeza_cuidado|floatformat:2}}</td>
          </tr>
          <tr>
            <th scope="col">5</th>
            <th>Como você qualifica a limpeza e conforto nos ambientes?</th>
            <td>{{limpeza_conforto|floatformat:2}}</td>
          </tr>
          <tr>
            <th scope="col">6</th>
            <th>Como você avalia as informações fornecidas pelos profissionais da clínica?</th>
            <td>{{informacoes_recebidas|floatformat:2}}</td>
          </tr>
          <tr>
            <th scope="col">7</th>
            <th>Qual a probabilidade de você nos recomendar baseado na experiência vivida, atendimento e resultado?</th>
            <td>{{probabilidade_recomendacao|floatformat:2}}</td>
          </tr>
        </tbody>
      </table>
      <table class="table">
        <thead>
          <tr>
            <th></th>
            <th>Sim</td>
            <th>Não</td>
          </tr>
        </thead>
        <tbody>
          <tb>
            <th>Você sentiu algum desconforto pelo atendimento ou na sala de atendimento clínico?</th>
            <td>{{desconforto.sim}}</td>
            <td>{{desconforto.nao}}</td>
          </tr>
        </tbody>
      </table>
      <div class="row my-5">
        <div class="col-md-6 mt-2">
          <canvas
            id="myChart"
            style="width: 100%; max-width: 700px"
          ></canvas>
        </div>
        <div class="col-md-6 mt-2">
          <canvas
            id="myChart2"
            style="width: 100%; max-width: 700px"
          ></canvas>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="text-center mb-0 mt-5 mb-2">
  <div class="">
    <img
      src="{% static 'images/logo.png' %}"
      class="img-thumbnail bg-dark p-1"
      width="100px"
      alt="{{vaga.title}} logo"
    />
  </div>
</section>
<footer>
  <div class="mb-5 text-center">
    <p class="c-white">
      © 2021 - Gorila Insight <br />
      Todos os direitos reservados.
    </p>
  </div>
</footer>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.js"></script>

<script>
  var yValues = [
    '{{espera_atendimento}}'.replace(/\./g,'').replace(/,/, "."),
    '{{atendentes_educados}}'.replace(/\./g,'').replace(/,/, "."),
    '{{problema_resolvido}}'.replace(/\./g,'').replace(/,/, "."),
    '{{delicadeza_cuidado}}'.replace(/\./g,'').replace(/,/, "."),
    '{{limpeza_conforto}}'.replace(/\./g,'').replace(/,/, "."),
    '{{informacoes_recebidas}}'.replace(/\./g,'').replace(/,/, "."),
    '{{probabilidade_recomendacao}}'.replace(/\./g,'').replace(/,/, "."),];
  var yValuessec = [
    '{{desconforto.sim}}'.replace(/\./g,'').replace(/,/, "."),
    '{{desconforto.nao}}'.replace(/\./g,'').replace(/,/, "."),
  ];
  var xValues = [
  "1",
  "2",
  "3",
  "4",
  "5",
  "6",
  "7",
  ];
  var xValuessec = ["{{desconforto.sim}} Sim", "{{desconforto.nao}} Não"];
  var borderColor = [
      'rgba(255, 99, 132, 0.2)',
      'rgba(255, 159, 64, 0.2)',
      'rgba(255, 205, 86, 0.2)',
      'rgba(75, 192, 192, 0.2)',
      'rgba(54, 162, 235, 0.2)',
      'rgba(153, 102, 255, 0.2)',
      'rgba(201, 203, 207, 0.2)'
    ]
  var backgroundColor = [
    'rgb(255, 205, 86)',
    'rgb(255, 99, 132)',
    'rgb(54, 162, 235)',
    'rgb(153, 102, 255)',
    'rgb(255, 159, 64)',
    'rgb(201, 203, 207)',
    'rgb(75, 192, 192)',
  ]
  new Chart("myChart", {
    type: 'bar',
    data: {
      labels: xValues,
      datasets: [
        {
          backgroundColor: backgroundColor,
          borderColor: borderColor,
          borderWidth: 1,
          data: yValues,
          borderRadius: 10,
        },
      ],
    },
    options: {
      legend: {
        position: "bottom",
        display: false,
      },
      title: {
        display: true,
        text: "Resultados",
      },
      scales: {
        yAxes: [{
            ticks: {
                beginAtZero: true,
                max:10,
            }
        }]
      }
    },
  });

  new Chart("myChart2", {
    type: 'pie',
    data: {
      labels: xValuessec,
      datasets: [
        {
          backgroundColor: backgroundColor,
          borderColor: borderColor,
          borderWidth: 1,
          data: yValuessec,
          borderRadius: 10,
        },
      ],
    },
    options: {
      legend: {
        position: "right",
        // display: false,
      },
      title: {
        display: true,
        text: "Sentiu algum desconforto pelo atendimento ou na sala de atendimento clínico?",
      },
    },
  });
</script>


{% endblock %}
